Bug 1661551 - OSP14: pacemaker reports failed status of remote pcmk resource upon fresh overcloud deploy
Summary: OSP14: pacemaker reports failed status of remote pcmk resource upon fresh ove...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-pacemaker
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 14.0 (Rocky)
Assignee: Michele Baldessari
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1624441
Blocks: 1714843
TreeView+ depends on / blocked
 
Reported: 2018-12-21 13:58 UTC by Michele Baldessari
Modified: 2019-07-02 20:08 UTC (History)
6 users (show)

Fixed In Version: puppet-pacemaker-0.7.2-0.20181008172521.9a4bc2d.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of: 1624441
: 1714843 (view as bug list)
Environment:
Last Closed: 2019-07-02 20:08:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 624352 None None None 2019-04-03 12:10:42 UTC
Red Hat Product Errata RHBA-2019:1672 None None None 2019-07-02 20:08:44 UTC

Comment 14 Damien Ciabrini 2019-06-20 09:34:23 UTC
Instruction for testing:
from https://review.opendev.org/#/c/624349/, I think it's sufficient to:

1. deploy an OSP 14 HA overcloud
2. make sure that there is no unwanted warnings in the pacemaker_remote logs from the bundle resource:
grep 'TLS handshake' /var/log/pacemaker/bundles/*-bundle-*/pacemaker.log

Comment 15 Luca Miccini 2019-06-20 15:02:20 UTC
verified with 2019-06-19.2. pcs status is clean and there are no warnings to be seen in the logs.

Comment 17 errata-xmlrpc 2019-07-02 20:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1672


Note You need to log in before you can comment on or make changes to this bug.